#!/bin/bash

#pres-requis install
if [ -e /usr/bin/python3 ]
then
    echo "Phyton installé"
else
    echo "Install Python et TK"
    apt install python3 -y

fi

if [ -e /usr/share/doc/python3-tk ]
then
    echo "Phyton TK installé"
else
    echo "Install TK"
    apt install python3-tk -y
fi

if [ -e /usr/bin/pip3 ]
then
    echo "Phyton pip3 installé"
else
    echo "Install pip3"
    apt install python3-pip -y
    pip3 install cx_Freeze
    pip3 install serial
fi


if [ -e /usr/bin/rkhunter ]
then
    echo "RKHunter installé"
else
    echo "Install RKHunter"
    apt install rkhunter -y
fi

if [ -e /usr/bin/gnome-terminal ]
then
    echo "gnome-terminal installé"
else
    echo "Install gnome-terminal"
    apt install gnome-terminal -y
fi
 



#build and install guiinstall
./setup.py build
cp -r img/ build/exe.linux-x86_64-*/
chmod -R 755 build/
echo "install"
cd build/
rm -r /opt/guirkhunter/
mv exe.linux-x86_64-*/ /opt/guirkhunter/
rm /usr/local/sbin/guirkhunter
ln -s /opt/guirkhunter/main /usr/local/sbin/guirkhunter
exit 0
